<%@ page import="java.security.Principal,de.bsd.weblog.interfaces.*,javax.naming.*" %>
<% 
String blog = request.getParameter("blog");
if (blog==null || blog.equals("")) 
	blog="default";

String toPage = "../servlets/Add/" + blog;

Principal p = request.getUserPrincipal();

String userName;

if (p!=null)
  userName = p.getName();
else
  userName = "-unknown-"; 

request.getSession().setAttribute("theUser",userName);

InitialContext ic;
Facade fa=null;
	try {
		ic = new InitialContext();
		Object o = ic.lookup("weblog/FacadeSessionBean/remote");
		fa = (Facade) o;
	}
	catch (Exception e) {
		System.err.println("fa == null");
		; // pseudo
	}
%><html>
<meta http-equiv="expires" content="0"/>
<head>

<title>Weblog (<%=blog%>) - Eintrag hinzufügen</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="content-language" content="de">
<link rel="stylesheet" href="../standard.css" type="text/css"/>
</head>
<body>
<h1>Weblog (<%=blog%>) Eintrag hinzufügen</h1>
Hello <%=userName%><p/>
<% if(request.isUserInRole("POSTER") && fa != null &&
		fa.istPosterFuerBlog(userName,blog)){%>
	<form action="<%=toPage%>" method="post">
		Titel:<br/>
		<input type="text" name="subject" maxlength="40"/><br/>
		Nachricht:<br/>
		<textarea name="text" cols="50" rows="10"></textarea>
		<br/>
		<input type="submit" value="Absenden" class="button"/><input type="reset" class="button"/>
	</form>  	
<%}
else{%> 
	<h1>Sorry, Sie dürfen in diesem Blog nichts schreiben.</h1>
	<a href="../index.jsp?blog=<%=blog%>" class="button">Show weblog <%=blog%></a>
<%}%>

</body>
</html>
