/*
 * Created on 10.06.2006
 * $Id: AdminFacade.java,v 1.2 2006/10/19 20:23:16 hwr Exp $
 */
package de.bsd.weblog.interfaces;

import java.util.Collection;

import javax.ejb.Remote;

import de.bsd.weblog.persistence.Poster;

@Remote
public interface AdminFacade extends Facade {

	/** 
	 */
	public boolean weblogAnlegen(String weblog);

	public boolean posterAnlegen(String eMail, String name, String password);

	public boolean posterZuWeblog(String poster, String weblog);

	public boolean weblogLoeschen(String weblog);

	/**
	 * Gibt eine Liste aller eingetragenen Poster zurck
	 * @return
	 */
	public Collection<Poster> listeAllePoster();
	
}