/*
 * $Id: AddServlet.java,v 1.2 2006/10/22 16:49:23 hwr Exp $
 */
package de.bsd.weblog.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;

import javax.ejb.EJB;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import de.bsd.weblog.interfaces.Facade;
import de.bsd.weblog.persistence.Artikel;

/**
 * @author hwr@pilhuhn.de
 * @version $Revision: 1.2 $
 * 
 */
@SuppressWarnings("serial")
public class AddServlet extends HttpServlet
{
	InitialContext ic;
	@EJB
	Facade fa;
	
   /**
    * @see javax.servlet.http.HttpServlet#doPost(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
    * 
    */
   protected void doPost(HttpServletRequest req, HttpServletResponse resp)
      throws ServletException, IOException
   {
   	
   	  String text = req.getParameter("text");
   	  String subject = req.getParameter("subject");
   	  String poster = req.getRemoteUser();
	  String blog = req.getPathInfo();
	  

	if (blog.charAt(0)=='/')
		blog=blog.substring(1);

   	  
   	  Artikel ar = new Artikel();
   	  
//   	  System.out.println("Poster: " + poster + " Text: " + text + " Blog: " + blog);
   	  ar.setTitel(subject);
   	  ar.setText(text);
   	  Date now = new Date(System.currentTimeMillis());
   	  ar.setDatum(now);
   	  
      PrintWriter out = resp.getWriter();
      
		if (fa.istPosterFuerBlog(poster,blog)) { 
		
      		fa.artikelHinzufuegenPN(ar,poster,blog);
		}
      	else {
      		out.println("Sorry, Sie drfen hier nichts posten.");
			out.println("<a href=\"index.jsp?blog=" + blog + "\" class=\"button\"> Zur Startseite </a>"); 
      	}
      	
      
     resp.sendRedirect("../../index.jsp?blog="+blog);
   }

   /* (non-Javadoc)
    * @see javax.servlet.Servlet#init(javax.servlet.ServletConfig)
    */
   public void init(ServletConfig arg0) throws ServletException
   {

      super.init(arg0);
		try {
			ic = new InitialContext();
		}
		catch (NamingException e) {
			System.err.println("Error obtaining Initial Context: " + e.getMessage());
			ic = null;
		}

		if (fa==null) {// Injection failed
			try {
				// weblog-Prefix fr das EAR
				fa = (Facade) ic.lookup("weblog/FacadeSessionBean/remote");
			}
			catch (Exception e) {
				System.err.println("Error obtaining Facade: " + e.getMessage());
			}      
		}
   }

}
