<html>
<meta http-equiv="expires" content="0"/>
<head>

<title>Weblog administration</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="content-language" content="de">
<link rel="stylesheet" href="../standard.css" type="text/css"/>
</head>
<body>

<%@ page import="java.security.Principal,de.bsd.weblog.interfaces.*,de.bsd.weblog.persistence.*,javax.naming.*,java.util.*" %>
<% 
String blog = request.getParameter("blog");
if (blog==null || blog.equals("")) 
	blog="default";

Principal p = request.getUserPrincipal();

String userName = p.getName();

request.getSession().setAttribute("theUser",userName);	

InitialContext ic;
AdminFacade af;
ArrayList blogs=new ArrayList();
ArrayList posters=new ArrayList();

if(request.isUserInRole("ADMIN")){
	try {
		ic = new InitialContext();
		Object o = ic.lookup("weblog/AdminFacadeSessionBean/remote");
		af = (AdminFacade) o;
		blogs.addAll(af.listeAlleBlogs());
		posters.addAll(af.listeAllePoster());
	}
	catch (Exception e) {
		e.printStackTrace();
	}
	
	
%>
  	<h1>Hallo Admin</h1>
  	<jsp:include page="../logout.jsp"/>
	<form action="admin2.jsp" method="POST">
		<h2>Benutzer hinzufügen</h2><p/>
		<input type="hidden" name="action" value="addUser"/>
	<table>
		<tr>
			<td>E-Mail:</td>
			<td> <input name="uid" type="text"/></td>
		</tr>
		<tr>
			<td>Name:</td>
			<td> <input name="name" type="text"/></td>			
		</tr>
		<tr>
			<td>Passwort:</td>
 			<td><input name="password" type="text"/></td>
		</tr>
		<tr>
 			<td><input type="submit" value="Hinzu" class="button"/></td>
 		</tr>
 	</table>
	</form>
	<!-- add a blog -->
	<form action="admin2.jsp" method="POST">
		<h2>Weblog hinzufügen</h2><p/>
		<input type="hidden" name="action" value="addBlog"/> 
		<table>
			<tr>
				<td>Weblog name:</td>
				<td> <input name="blogname" type="text"/></td>
			</tr>
			<tr>
				 <td><input type="submit" value="Hinzu" class="button"/></td>
			 </tr>	
		 </table>
	</form>
	<!-- delete a blog -->
	<form action="admin2.jsp" method="POST">
		<h2>Weblog löschen</h2>
		<input type="hidden" name="action" value="deleteBlog"/>
		<table>
			<tr>
				<td>Weblog name:</td>
				<td> <select name="blogname">
					<option></option>
<%
	if (blogs!=null) {
		for (int i=0;i<blogs.size();i++) {
			Weblog w = (Weblog)blogs.get(i);
			if (!w.getName().equals("default"))	
%>					
   			<option><%=w.getName()%></option>
		<%}
	}%>
	</select>
				</td>
			</tr>
			<tr>
				 <td><input type="submit" value="Löschen"/ class="button"></td>
			 </tr>	
		 </table>
		
	</form>
	<!-- add a user to a blog -->
	<form action="admin2.jsp" method="POST">
		<h2>Benutzer zu Blog hinzufügen</h2>
		<input type="hidden" name="action" value="userToBlog"/>
		<table>
			<tr>
				<td>Weblog name:</td>
				<td> <select name="blogname">
					<option></option>
<%
	if (blogs!=null) {
		for (int i=0;i<blogs.size();i++) {
			Weblog w = (Weblog)blogs.get(i);
			if (!w.getName().equals("default"))	
%>					
   			<option><%=w.getName()%></option>
		<%}
	}%>
				</td>
			</tr>
	<tr>
		<td>Poster:</td>
		<td>
			<select name="username">
				<option></option>
<%
	if (posters!=null) {
		for (int i=0;i<posters.size();i++) {
			Poster po = (Poster)posters.get(i);			
%>					
   			<option><%=po.getName()%></option>
		<%}
	}%>				
			</select>
		</td>		
	</tr>	
	<tr>
		<td><input type="submit" class="button"/> </td>
	</tr>		
	</form>
<%}
else{%> 
	<h1>Sorry, <%=userName%></h1>
	Diese Seiten sind nichts f&uuml;r Dich.
	<p/>
	<a href="/weblog/index.jsp?blog=<%=blog%>">Weiter im Programm</a>
<%}%>